Results 1 to 6 of 6

Thread: New VB compiler in Mono 1.2.3

  1. #1
    Join Date
    Nov 2006
    Beans
    81

    New VB compiler in Mono 1.2.3

    The Mono project announced that with Mono 1.2.3 there would be a new visual basic compiler. Does anyone know when Ubuntu will be upgrading its Mono packages to include this?

  2. #2
    Join Date
    Jun 2006
    Location
    CT, USA
    Beans
    5,267
    Distro
    Ubuntu 6.10 Edgy

    Re: New VB compiler in Mono 1.2.3

    you could ask at MOTU irc channel or in Feisty Fawn development

  3. #3
    Join Date
    Dec 2006
    Location
    Australia
    Beans
    1,097
    Distro
    Xubuntu 15.10 Wily Werewolf

    Re: New VB compiler in Mono 1.2.3

    Quote Originally Posted by Luft View Post
    The Mono project announced that with Mono 1.2.3 there would be a new visual basic compiler. Does anyone know when Ubuntu will be upgrading its Mono packages to include this?
    It is extremely easy to install the latest Mono version on your computer. Just go to the Mono Downloads page and download the binary installer (two-thirds down the page). If you can't be bothered looking for it, click here to the the file directly (it's 63.2 MB).

    After downloading the file, set its permission to be executable, and double-click. Or else use the terminal, navigate to the same directory as the file, and type:
    Code:
    sudo ./mono-1.2.3.1_2-installer.bin
    to install it in /opt/mono-1.2.3.1

    Enjoy!

  4. #4
    Join Date
    Oct 2005
    Beans
    70

    Re: New VB compiler in Mono 1.2.3

    After using the installer from mono strange things happen, including:

    rg@rg-laptop:~/workspace/nemerle/lib/tests$ vim Makefile
    vim: Symbol `ospeed' has different size in shared object, consider re-linking
    rg@rg-laptop:~/workspace/nemerle/lib/tests$ acroread /home/rg/books/KandR.pdf
    /usr/lib/Adobe/Acrobat7.0/Reader/intellinux/bin/acroread: /opt/mono-1.2.3.1/lib/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)

  5. #5

    Re: New VB compiler in Mono 1.2.3

    I have the same problem to after intalling mono and mono-develop:

    vim: /opt/mono-1.2.5.1/lib/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)
    vim: Symbol `ospeed' has different size in shared object, consider re-linking
    Any ideas how to fix it?

  6. #6
    Join Date
    Nov 2007
    Beans
    1

    Re: New VB compiler in Mono 1.2.3

    The problem is that in the mono librarys contain a definition for ospeed that differs from the one in libc. The installer adds /opt/mon[version]/lib to the environment variable LD_LIBRARY_PATH. The definition in the mono libs will be used instead of the libc ones. This can be fixed if you add /lib to LD_LIBRARY_PATH before mono is added. (Files that probably need to be touched: /etc/skel/.bashrc, ~/.bashrc, ~/.profile). If the files contain a line like:
    export LD_LIBRARY_PATH="/opt/mono-1.2.4/lib:$LD_LIBRARY_PATH"

    it should be changed to:

    export LD_LIBRARY_PATH="/lib:/opt/mono-1.2.4/lib:$LD_LIBRARY_PATH"

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •